Subject: Re: bug#4534: assertion failure at window.c:grow_mini_window

From: Juanma Barranquero <[email-masked]>
Date: Fri, 25 Sep 2009 20:02:26 +0200

On Fri, Sep 25, 2009 at 00:03, Stefan Monnier <[email-masked]> wrote:

> IIUC, the bug triggered an assertion failure.

Yes.

  xassert (delta >= 0);

at window.c:4637

> Most Emacs users run
> without assertion checking, so that could explain the lack of
> ealier reports (many assertion failures don't actually cause
> a subsequent crash, they may not even cause a noticeable misbehavior in
> some cases).

IMO, assertion checking should be enabled by default when compiling
for debug. I use it continuously (on both debug and optimized builds)
and Emacs is not noticeably slower; at least, not on the setups I've
tried it.

    Juanma